Bug 458863 - Backport NetXen nic driver from upstream kernel to RHEL4
Backport NetXen nic driver from upstream kernel to RHEL4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.8
All Linux
medium Severity high
: rc
: ---
Assigned To: Andy Gospodarek
Martin Jenner
:
: 303411 (view as bug list)
Depends On:
Blocks: RHEL4u8_relnotes 466045
  Show dependency treegraph
 
Reported: 2008-08-12 14:29 EDT by Dhananjay Phadke
Modified: 2014-06-09 07:20 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch 1 (43.57 KB, patch)
2008-08-12 14:35 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 2 (25.81 KB, patch)
2008-08-12 14:38 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 3 (248.99 KB, patch)
2008-08-12 14:39 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 4 (51.76 KB, patch)
2008-08-12 14:41 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 1 (43.31 KB, patch)
2008-08-17 14:09 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 2 (25.42 KB, patch)
2008-08-17 14:14 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 3 (249.55 KB, patch)
2008-08-17 14:18 EDT, Dhananjay Phadke
no flags Details | Diff
Patch 4 (49.31 KB, patch)
2008-08-17 14:21 EDT, Dhananjay Phadke
no flags Details | Diff
Additioanal upstream fixes [as of 2.6.29-rc3] (31.50 KB, patch)
2009-02-02 00:51 EST, Dhananjay Phadke
no flags Details | Diff
Upstream fixes patch with correct commit ids (31.50 KB, patch)
2009-02-02 11:07 EST, Dhananjay Phadke
no flags Details | Diff

  None (edit)
Description Dhananjay Phadke 2008-08-12 14:29:16 EDT
+++ This bug was initially created as a clone of Bug #453034 +++

We need to get all upstream patches into RHEL4.
Comment 1 Dhananjay Phadke 2008-08-12 14:35:47 EDT
Created attachment 314126 [details]
Patch 1

Patchset 1:

Commits from 200eef20db6de7535438c9af9becc8169c6cb6c0 to d1847a722e79bbfc557755d78f44d3e2c8ae5ea9.
Comment 2 Dhananjay Phadke 2008-08-12 14:38:15 EDT
Created attachment 314127 [details]
Patch 2

Patchset 2:

Commits from dc515f2e0b356981ea0c4581ff0e587aea8b624a .. 439b454edf551f5a6eb49de6b868015724d275ab
Comment 3 Dhananjay Phadke 2008-08-12 14:39:56 EDT
Created attachment 314128 [details]
Patch 3

Patchset 3:

Commits from 7830b22cbc5f5e804469b74a3fe0d3a8ed88ca31 .. 58735567b6de3034c9d0d7e1dcf31614b66de986.
Comment 4 Dhananjay Phadke 2008-08-12 14:41:15 EDT
Created attachment 314129 [details]
Patch 4

Patchset 4:

All remaining patches to sync up with upstream.
Comment 5 Tony Camuso 2008-08-13 15:17:10 EDT
Dhananjay,

Do you want me to submit these patches to the Red Hat Kernel List, or will you submit them?
Comment 6 Dhananjay Phadke 2008-08-13 18:09:17 EDT
(In reply to comment #5)
> Dhananjay,
> 
> Do you want me to submit these patches to the Red Hat Kernel List, or will you
> submit them?

Yes, please.

How does one post to it?

Thanks,
-Dhananjay
Comment 7 Dhananjay Phadke 2008-08-14 15:59:31 EDT
Comment on attachment 314129 [details]
Patch 4

Patch 4 has commits between 58735567b6de3034c9d0d7e1dcf31614b66de986 to 11d89d639352ef27bb3f0e7513dd406284bf034a
Comment 8 Dhananjay Phadke 2008-08-14 16:04:29 EDT
(In reply to comment #7)
> (From update of attachment 314129 [details])
> Patch 4 has commits between 58735567b6de3034c9d0d7e1dcf31614b66de986 to
> 11d89d639352ef27bb3f0e7513dd406284bf034a


This is the place to view these commits.

http://git.kernel.org/?p=linux/kernel/git/jgarzik/netdev-2.6.git;a=history;f=drivers/net/netxen;hb=upstream-fixes
Comment 9 Tony Camuso 2008-08-15 11:01:56 EDT
Dhananjay, 

That link has dozens of postings. 

Can you please either give me the specific commits you want backported or attach to this BZ the outputs of "git show <commit-number>" for the commits?

Thank you.
Comment 10 Dhananjay Phadke 2008-08-17 14:09:38 EDT
Created attachment 314444 [details]
Patch 1

Following commits backported from netdev-2.6 # upstream-fixes

d230ce30f4eb2cec42cb501db586ce45815a8167
200eef20db6de7535438c9af9becc8169c6cb6c0
001a731ecfc2e5fdbb5022ad3708705d9edf801c
72b0a7a8a40a50cf2eab42fd6a56e04b05090434
53a01e00f8c78bc5875e09aca7749ea54bb09798
5dc162682d4901025a02b7045f3112d569b4bab9
443be7960be77f3345b44491c700ae4471b0fe57
05aaa02d799e8e9548d57ac92fcb05e783027341
ba53e6b4878e07411826312c59bfe49561594b6e
d1847a722e79bbfc557755d78f44d3e2c8ae5ea9
Comment 11 Dhananjay Phadke 2008-08-17 14:14:07 EDT
Created attachment 314445 [details]
Patch 2

Following commits backported from netdev-2.6 # upstream-fixes

70081ac55df939363b27c1ebd27c51f510129139
439b454edf551f5a6eb49de6b868015724d275ab
dcd56fdbaeae1008044687b973c4a3e852e8a726
3276fbad8385d8e86d85fad4d86dae669a045c65
dc515f2e0b356981ea0c4581ff0e587aea8b624a
8d74849b91536b126c822968b0f5a1dfd658394d
aa39432326a91a7b819ec3f8d78b05e04b708ce5
d1847a722e79bbfc557755d78f44d3e2c8ae5ea9
f0c88f9c45f39acd017328515890481adcb32607
Comment 12 Dhananjay Phadke 2008-08-17 14:18:07 EDT
Created attachment 314446 [details]
Patch 3

Following commits backported from netdev-2.6 # upstream-fixes

58735567b6de3034c9d0d7e1dcf31614b66de986
cd1f8160e015cd1538701b7de216cbeaefc6b0a8
d9e651bc06690c5a5326e8d019fa7668409bc819
c9fc891f86c062449116fde8826a0ead650e17ac
48bfd1e0fc66b27254ec742b014e689ef218e76c
a97342f9790f14ac20bd5f8b16ed661411fa2e3e
2956640d4aaaecd42bd8ba800cc8c33bfe206b7e
3ce06a320f8d5a3f16960e63021cc372283efffb
e4c93c817ce650401db42db6c869cf7688217ff4
623621b07ebc5b72e0bdfa4a50bbb28f4587de0c
7830b22cbc5f5e804469b74a3fe0d3a8ed88ca31
Comment 13 Dhananjay Phadke 2008-08-17 14:21:17 EDT
Created attachment 314447 [details]
Patch 4

Following commits backported from netdev-2.6 # upstream-fixes

11d89d639352ef27bb3f0e7513dd406284bf034a
092bc57184842229ee41f87d9c408a3f1302aaa6
15eef1e1b718667981da92d2fa18283f181c117c
922c4f2c70c156ac38b4e6affbd30d4b1efd5864
9e410778047d0f2887adb888b44eda4d72d4f67d
9dc28efeee98a4f81d5469d3576f55c5e6d1a5db
11a859e591befae7413505c68dd241ad8e14748c
9ad27643f3a054dff9211bb9938f2323907c2ffe
83821a078a1617e120d76954f455204cec78fe9d
d71e1be8edd355668a12a18660da03ae993dd9df
a70f939338cae650f177ae79562ec44659788bb4
24a7a45511f89959b4f1dc60a66260d09777901a
4255589293b78c4dab324323e12857876b154863
Comment 14 Dhananjay Phadke 2008-08-17 15:24:22 EDT
Tony,

I have replaced patches with header showing commit ids.

Thanks,
-Dhananjay
Comment 15 Tony Camuso 2008-08-18 10:22:19 EDT
Andy, Peter, 

I am working on creating the patch set for submission to RHKL.
Comment 16 Sandy Garza 2008-08-26 17:11:56 EDT
Has this been pulled into RHKL?

http://marc.info/?l=linux-netdev&m=121926558404174&w=2
Comment 17 Peter Martuccelli 2008-09-22 13:22:26 EDT
*** Bug 303411 has been marked as a duplicate of this bug. ***
Comment 18 Tony Camuso 2008-09-22 14:49:04 EDT
Sandy, 

The MSI-X patch did not make it. 

If you think we should raise it as a blocker, we can do so, but the NetXen guys said that they don't need MSI-X, yet, since the biggest advantage of MSI-X is in the config and handling of multiple per-device interrupts. Legacy MSI has multiple per-device interrupt capability, but it's limited to 32 interrupts. MSI-X overcomes this limitation. 

If I remember correctly, none of the current NetXen devices requires more than 32 interrupt vectors.
Comment 19 Dhananjay Phadke 2008-10-07 15:16:36 EDT
MSI-X patch was not necessary, but nice to have. However the HT2100 workaround removal is a blocker.

http://marc.info/?l=linux-netdev&m=121989946219136&w=2

Need to open a blocker bug for this.
Comment 20 RHEL Product and Program Management 2008-10-27 12:26:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 21 Vivek Goyal 2008-11-18 09:32:00 EST
Committed in 78.18.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 23 Dhananjay Phadke 2009-02-02 00:51:35 EST
Created attachment 330585 [details]
Additioanal upstream fixes [as of 2.6.29-rc3]

These are additional critical fixes which have been accepted up stream.

commit 32ec803348b4d5f1353e1d7feae30880b8b3e342
commit c06ece64b98b3e7c5f16a01e9ea5b5da163e6cb8
commit 4bcf96ce0d671bfa75c57b03d97ca46e457fa67f
commit eae927c14fb2e3afc42603bfcfbe2616cd882ea6
commit 6e736697be2fc989a50f3881630e48c1c38edc96
commit 1c860d37473b64fed4f04a8ca02e494318be6d3b

These are needed to cut down boot time significantly, to work on
big endian architecture, reduce memory footprint of the driver by
20 MB per port.
Comment 24 Andy Gospodarek 2009-02-02 08:52:20 EST
Dhananjay, I was trying to look over these fixes, but I don't see all 6 of the commits listed in comment #23 in his kernel.  When I looked at your attachment I saw the list and it looks like these are the 6 from his kernel that you are referencing:

32ec803348b4d5f1353e1d7feae30880b8b3e342
3bfafd6b136bea2de9bd96c01b7e3808635a15b2
06e9d9f9783860fe4c602ef491f47211804ccc96
27c915a4d843b90eb4065298969578d15e5e6ab0
c7860a2aec571ea95d3ad19b8d9775b27828baac
2edbb454428729f450f7a0aabbf95ac62b46b78a

I just figured I would post these updated commit hashes so we are all on the same page.
Comment 25 Dhananjay Phadke 2009-02-02 11:05:50 EST
Andy, thanks for looking up correct commit hashes.

It appears like those were commit ids in my tree.
Comment 26 Dhananjay Phadke 2009-02-02 11:07:56 EST
Created attachment 330639 [details]
Upstream fixes patch with correct commit ids

As pointed out by Andy, these are correct commit hashes:

32ec803348b4d5f1353e1d7feae30880b8b3e342
3bfafd6b136bea2de9bd96c01b7e3808635a15b2
06e9d9f9783860fe4c602ef491f47211804ccc96
27c915a4d843b90eb4065298969578d15e5e6ab0
c7860a2aec571ea95d3ad19b8d9775b27828baac
2edbb454428729f450f7a0aabbf95ac62b46b78a
Comment 27 Andy Gospodarek 2009-02-02 11:20:02 EST
No problem, Dhanajay.  I just wanted to make sure we were talking about the correct patches! :)
Comment 29 Vivek Goyal 2009-02-11 11:33:14 EST
To commit more upstream fixes, putting this bug back to POST state.
Comment 30 Vivek Goyal 2009-02-12 10:35:08 EST
Committed in 81.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 33 Sandy Garza 2009-03-23 11:59:37 EDT
HP verified successfully with Beta.
Comment 35 errata-xmlrpc 2009-05-18 15:27:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html
Comment 36 Tony Camuso 2014-06-09 07:20:23 EDT
Heh. This problem has been fixed for 5 years now, and the bugzilla ahs been closed for 5 years. 

Somehow there remained a request for info that was never closed, so I am closing that now.

Note You need to log in before you can comment on or make changes to this bug.